# -*- coding: utf-8 -*-

from django.conf.urls import url

from api import admin_views, eqpt_views, oauth_views, point_views


urlpatterns = [
]

urlpatterns += [
    url(r'^3rd/or$', oauth_views.oauth_redirect, name='3rd_or'),
    url(r'^3rd/oauth_redirect$', oauth_views.oauth_redirect, name='3rd_oauth_redirect'),
]

urlpatterns += [
    url(r'^admin/login$', admin_views.admin_login, name='admin_login'),
]

urlpatterns += [
    url(r'^point/measure_window$', point_views.measure_window, name='measure_window'),
]

urlpatterns += [
    url(r'^eqpt/bind$', eqpt_views.eqpt_bind, name='eqpt_bind'),
    url(r'^eqpt/onoff$', eqpt_views.eqpt_onoff, name='eqpt_onoff'),
    url(r'^eqpt/list$', eqpt_views.eqpt_list, name='eqpt_list'),
    url(r'^eqpt/result$', eqpt_views.eqpt_result, name='eqpt_result'),
]

urlpatterns += [
    url(r'^upload/temperature$', eqpt_views.upload_temperature, name='upload_temperature'),
]
